## net.sf.statcvs.charts
Class DirectoryPieChartMaker.CodeDistributionChartMaker

    java.lang.Object
      net.sf.statcvs.charts.DirectoryPieChartMaker
          net.sf.statcvs.charts.DirectoryPieChartMaker.CodeDistributionChartMaker

Enclosing class:
  DirectoryPieChartMaker

    public static class DirectoryPieChartMaker.CodeDistributionChartMaker

extends DirectoryPieChartMaker

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.statcvs.charts.DirectoryPieChartMaker
`DirectoryPieChartMaker.CodeDistributionChartMaker, DirectoryPieChartMaker.DirectorySizesChartMaker`

Constructor Summary
`DirectoryPieChartMaker.CodeDistributionChartMaker(ReportConfig config, Author author)`

Method Summary
`protected int` `calculateValue(Directory directory)`
`ChartImage` `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryPieChartMaker.CodeDistributionChartMaker

    public DirectoryPieChartMaker.CodeDistributionChartMaker(ReportConfig config,
                                                             Author author)

Method Detail

### toFile

    public ChartImage toFile()

  Overrides:
    `toFile` in class `DirectoryPieChartMaker`

### calculateValue

    protected int calculateValue(Directory directory)

  Specified by:
    `calculateValue` in class `DirectoryPieChartMaker`